# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.579.9.5 -> 1.579.9.6
#	drivers/usb/serial/usbserial.c	1.40    -> 1.41   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/09/23	greg@kroah.com	1.579.9.6
# [PATCH] USB: fix for ezusb firmware download
# 
# This fixes a stupid error in the timeout value when downloading firmware
# to a device.  The WhiteHEAT device now works properly with this patch.
# --------------------------------------------
#
diff -Nru a/drivers/usb/serial/usbserial.c b/drivers/usb/serial/usbserial.c
--- a/drivers/usb/serial/usbserial.c	Mon Sep 23 15:15:55 2002
+++ b/drivers/usb/serial/usbserial.c	Mon Sep 23 15:15:55 2002
@@ -498,7 +498,7 @@
 		return -ENOMEM;
 	}
 	memcpy (transfer_buffer, data, length);
-	result = usb_control_msg (serial->dev, usb_sndctrlpipe(serial->dev, 0), bRequest, 0x40, address, 0, transfer_buffer, length, 300);
+	result = usb_control_msg (serial->dev, usb_sndctrlpipe(serial->dev, 0), bRequest, 0x40, address, 0, transfer_buffer, length, 3*HZ);
 	kfree (transfer_buffer);
 	return result;
 }
